Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.naming
Interface NamingServiceMBean

All Known Implementing Classes:
  NamingService

public interface NamingServiceMBean

Naming MBean interface.

Version:
  $Revision: 1.1 $
Author:
  Remy Maucherat

Field Summary
`static java.lang.String` | `NAME` Component name.
`static java.lang.String` | `OBJECT_NAME` Object name.
`static int` | `STARTED`
`static int` | `STARTING`
`static java.lang.String[]` | `states` Status constants.
`static int` | `STOPPED`
`static int` | `STOPPING`

Method Summary
`void` | `destroy()` Destroy servlet container (if any is running).
`java.lang.String` | `getName()` Retruns the JNDI component name.
`int` | `getState()` Returns the state.
`java.lang.String` | `getStateString()` Returns a String representation of the state.
`void` | `start()` Start the servlet container.
`void` | `stop()` Stop the servlet container.

Field Detail

### states

    public static final java.lang.String[] states

  Status constants.

### STOPPED

    public static final int STOPPED

### STOPPING

    public static final int STOPPING

### STARTING

    public static final int STARTING

### STARTED

    public static final int STARTED

### NAME

    public static final java.lang.String NAME

  Component name.

### OBJECT_NAME

    public static final java.lang.String OBJECT_NAME

  Object name.

Method Detail

### getName

    public java.lang.String getName()

  Retruns the JNDI component name.

### getState

    public int getState()

  Returns the state.

### getStateString

    public java.lang.String getStateString()

  Returns a String representation of the state.

### start

    public void start()
               throws java.lang.Exception

  Start the servlet container.

### stop

    public void stop()

  Stop the servlet container.

### destroy

    public void destroy()

  Destroy servlet container (if any is running).

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2001 Apache Software Foundation. All Rights Reserved.